%global     debug_package %{nil}

Name:		hvkvp
Version:	2.0
Release:	1%{?dist}
Summary:	Hyper-V KVP Exchange for Linux

License:	MIT
URL:		https://github.com/ejsiron/hvkvp
Source0:	https://github.com/ejsiron/hvkvp/releases/download/v2.0/hvkvp.tar.gz
Patch0:     0001-Update-Makefile.patch

BuildRequires:	gcc-c++
BuildRequires:	make

%description
Reads and writes key-value pairs used in Hyper-V host<->guest communication.

%prep
%setup -qc
%patch0 -p1


%build
make %{?_smp_mflags}


%install
%{__install} -d -D %{buildroot}%{_bindir}
%make_install


%files
%doc README
%license LICENSE 
%{_bindir}/hvkvp


%changelog
* Fri Jun 3 2022 Marcin Skarbek <rpm@skarbek.name> - 2.0-1
- Initial package
